package com.tutorialesprogramacionya.compose18


import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.padding
import androidx.compose.material.Switch
import androidx.compose.material.Text
import androidx.compose.runtime.*
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            Configuracion()
        }
    }
}

@Composable
fun Configuracion() {
    var estadoDatos by remember { mutableStateOf(false)}
    var estadoWifi by remember { mutableStateOf(false)}
    var cantServicios by remember { mutableStateOf(0)}
    Column(modifier=Modifier.padding(20.dp)) {
        Row() {
            Switch(checked = estadoDatos, onCheckedChange = {
                estadoDatos=!estadoDatos
                if (estadoDatos) cantServicios++ else cantServicios--
            })
            Text(text = "Datos móviles")
        }
        Row() {
            Switch(checked = estadoWifi, onCheckedChange = {
                estadoWifi=!estadoWifi
                if (estadoWifi) cantServicios++ else cantServicios--
            })
            Text(text = "Activar Wifi")
        }
        Text(text = "Servicios Activas: $cantServicios")
    }
}